EDIT - feature request #6718

Constistent TypeDesignation representation creation
06/12/2017 12:29 PM - Andreas Kohlbecker

Status: Duplicate Start date:

Priority: Highest Due date:

Assignee: Andreas Muller % Done: 0%
Category: cdm-dataportal Estimated time: 0:00 hour
Target version:

Severity: normal

Description

Various representations of TypeDesignations are needed in the edit platform components.

e cdm-dataportal
o #5968
o #5947
o #461
o #7081

o taxeditor
o #5950
o #6526
o #6413

e cdm-vaadin
o #6719

This includes the following requirements:
¢ 'deduplication'/grouping by FieldUnit

e correct ordering by type status
. e

This should be solved consistently by one class in cdmlib instead of having separate implementations in each of the platform

components.
The following implementations exist so far:

¢ TypeDesignationSetManager (formerly in vaadin, now cdmlib)
o #9279
o #9596
o #9597

Related issues:

Related to EDIT - feature request #5947: Type information for same field unit...
Related to EDIT - feature request #461: Improve / compact display of types
Related to EDIT - feature request #5950: Add duplicate method for type design...
Related to EDIT - bug #6526: Show types in correct order

Related to EDIT - feature request #6413: [DISCUSS] How to create type duplica...
Related to EDIT - feature request #6719: Compact display of TypeDesignations ...
Related to EDIT - feature request #7081: Deduplicate type information in data...

Related to EDIT - bug #7247: TypeDesignationSetManager must not bundle NameTy...

Related to EDIT - feature request #7551: TypeDesignationSetManager provides s...
Related to EDIT - task #7553: move TypeDesignationSetManagerIT to cdmlib
Related to EDIT - feature request #7695: web service providing compact TypeDe...
Related to EDIT - feature request #7696: use compact type representations in ...
Related to EDIT - feature request #7700: use TypeDesignationSetManager for cr...
Related to EDIT - feature request #8137: Implement sources for type designati...
Related to EDIT - feature request #9279: Improve type designation formatting ...
Related to EDIT - feature request #9596: Open issues for TypeDesignationWorki...
https://dev.e-taxonomy.eu/redmine/issues/5947
https://dev.e-taxonomy.eu/redmine/issues/461
https://dev.e-taxonomy.eu/redmine/issues/7081
https://dev.e-taxonomy.eu/redmine/issues/5950
https://dev.e-taxonomy.eu/redmine/issues/6526
https://dev.e-taxonomy.eu/redmine/issues/6413
https://dev.e-taxonomy.eu/redmine/issues/6719
https://dev.e-taxonomy.eu/redmine/issues/9279
https://dev.e-taxonomy.eu/redmine/issues/9596
https://dev.e-taxonomy.eu/redmine/issues/9597

History

#1 - 06/12/2017 12:29 PM - Andreas Kohlbecker
- Description updated

#3 - 06/12/2017 12:29 PM - Andreas Kohlbecker

- Related to feature request #5947: Type information for same field unit should be handled in one line added

#4 - 06/12/2017 12:30 PM - Andreas Kohlbecker
- Related to feature request #461: Improve / compact display of types added

#5 - 06/12/2017 12:30 PM - Andreas Kohlbecker
- Related to feature request #5950: Add duplicate method for type designations added

#6 - 06/12/2017 12:30 PM - Andreas Kohlbecker
- Related to bug #6526: Show types in correct order added

#7 - 06/12/2017 12:30 PM - Andreas Kohlbecker
- Related to feature request #6413: [DISCUSS] How to create type duplicates (e.g. isotypes) for a taxon name added

#8 - 06/12/2017 01:39 PM - Andreas Kohlbecker

- Related to feature request #6719: Compact display of TypeDesignations in Registrationltems with edit button per fieldUnit added

#9 - 06/12/2017 01:39 PM - Andreas Kohlbecker

- Description updated

#10 - 06/19/2017 12:17 PM - Andreas Kohlbecker

- Description updated

#11 - 02/07/2018 09:38 PM - Andreas Kohlbecker
- Related to feature request #7081: Deduplicate type information in dataportal if 2 equal types exist added

#12 - 02/07/2018 09:40 PM - Andreas Kohlbecker

- Description updated

#13 - 02/07/2018 09:41 PM - Andreas Kohlbecker

- Description updated

#14 - 02/07/2018 09:41 PM - Andreas Kohlbecker
- Related to feature request #7081: Deduplicate type information in dataportal if 2 equal types exist added

#15 - 02/07/2018 09:41 PM - Andreas Kohlbecker
- Related to deleted (feature request #7081: Deduplicate type information in dataportal if 2 equal types exist)

#16 - 02/07/2018 09:42 PM - Andreas Kohlbecker
- Related to bug #7231: replace the SpringApplicationBus by Vaadin4Spring Event Bus in scoped contexts added

#17 - 02/07/2018 09:42 PM - Andreas Kohlbecker
- Related to deleted (bug #7231: replace the SpringApplicationBus by Vaadin4Spring Event Bus in scoped contexts)

#18 - 02/07/2018 09:42 PM - Andreas Kohlbecker
- Related to bug #7247: TypeDesignationSetManager must not bundle NameTypes in workingset added

#19 - 02/07/2018 09:42 PM - Andreas Kohlbecker

- Description updated
#20 - 02/13/2018 09:46 AM - Andreas Miiller
- Priority changed from New to Highest

#21 - 07/12/2018 05:07 PM - Andreas Kohlbecker
- Related to feature request #7551: TypeDesignationSetManager provides summary as TaggedText added

#22 - 07/12/2018 05:07 PM - Andreas Kohlbecker

- Tracker changed from bug to feature request

#23 - 07/12/2018 05:44 PM - Andreas Kohlbecker
- Related to task #7553: move TypeDesignationSetManagerlT to cdmlib added

#24 - 08/28/2018 09:21 AM - Andreas Kohlbecker

- Related to feature request #7695: web service providing compact TypeDesignation representation for homotypic groups and individual taxa added

#25 - 08/28/2018 09:21 AM - Andreas Kohlbecker

- Related to feature request #7696: use compact type representations in the synonymy as provided by the typedesignations/by Taxon/{taxon_uuid}
service added

#26 - 08/29/2018 01:59 PM - Andreas Miiller
- Related to feature request #7700: use TypeDesignationSetManager for creating typedesignation string in cdmlightExport added

#27 - 07/19/2019 04:29 PM - Andreas Miiller

- Related to feature request #8137: Implement sources for type designations in data portal added

#28 - 11/30/2020 01:53 PM - Andreas Kohlbecker
- Related to feature request #9279: Improve type designation formatting and TypeDesignationSetManager added

#29 - 04/30/2021 08:09 PM - Andreas Miiller
- Related to feature request #9596: Open issues for TypeDesignationWorkingSet added

#30 - 04/30/2021 08:24 PM - Andreas Miiller
- Category changed from cdmlib to cdm-dataportal
- Assignee changed from Andreas Miiller to Andreas Kohlbecker

- % Done changed from 0 to 20

As we do have TypeDesignationSetManager in cdmlib now and all open tickets are dataportal related | guess we could either close this ticket or
handle it as a master ticket for the open dataportal issues on type designations.

Please decide.

#31 - 05/05/2021 10:32 AM - Andreas Kohlbecker

- Tags set to type designation

#32 - 05/05/2021 10:40 AM - Andreas Kohlbecker
- Status changed from New to Feedback

- Assignee changed from Andreas Kohlbecker to Andreas Mliller

there two additional ticket one in cdmlib and one in cdmlib-remote (

https://dev.e-taxonomy.eu/redmine/projects/edit/issues ?utf8=%E2%9C%93&set_filter=1&{%5B%5D=relates&op%5Brelates%5D=%3D&v%5Brelates
%5D%5B%5D=6718&{%5B%5D=status_id&op%5Bstatus_id%5D=0&{%5B%5D=&c%5B%5D=tracker&c%5B%5D=status&c%5B%5D=priority&c%5B
%5D=subject&c%5B%5D=updated on&c%5B%5D=tags&group_by=category&t%5B%5D=)

| tagged all related tickets, so there is not need for a mater and we can close this issue in principle now.

Please could you add the ticket(s) in which context the TypeDesignationSetManager has been improved to the ticket description here? Or are they
too hard to identify?

#33 - 05/08/2021 01:32 AM - Andreas Miuiller
https://dev.e-taxonomy.eu/redmine/projects/edit/issues?utf8=%E2%9C%93&set_filter=1&f%5B%5D=relates&op%5Brelates%5D=%3D&v%5Brelates%5D%5B%5D=6718&f%5B%5D=status_id&op%5Bstatus_id%5D=o&f%5B%5D=&c%5B%5D=tracker&c%5B%5D=status&c%5B%5D=priority&c%5B%5D=subject&c%5B%5D=updated_on&c%5B%5D=tags&group_by=category&t%5B%5D=
https://dev.e-taxonomy.eu/redmine/projects/edit/issues?utf8=%E2%9C%93&set_filter=1&f%5B%5D=relates&op%5Brelates%5D=%3D&v%5Brelates%5D%5B%5D=6718&f%5B%5D=status_id&op%5Bstatus_id%5D=o&f%5B%5D=&c%5B%5D=tracker&c%5B%5D=status&c%5B%5D=priority&c%5B%5D=subject&c%5B%5D=updated_on&c%5B%5D=tags&group_by=category&t%5B%5D=
https://dev.e-taxonomy.eu/redmine/projects/edit/issues?utf8=%E2%9C%93&set_filter=1&f%5B%5D=relates&op%5Brelates%5D=%3D&v%5Brelates%5D%5B%5D=6718&f%5B%5D=status_id&op%5Bstatus_id%5D=o&f%5B%5D=&c%5B%5D=tracker&c%5B%5D=status&c%5B%5D=priority&c%5B%5D=subject&c%5B%5D=updated_on&c%5B%5D=tags&group_by=category&t%5B%5D=

- Description updated
- Status changed from Feedback to Duplicate
- Target version changed from Unassigned CDM tickets to Release 5.25

- % Done changed from 20 to 0

Close this ticket as it is only a master (subtickets are tagged by "type designation")

#34 - 06/01/2021 06:58 PM - Andreas Miiller
- Target version deleted (Release 5.25)

not related to a target version
